`POST /api/v1/agents/{node_id}` — change an agent's approval status.
POST
/api/v1/agents/{node_id}
const url = 'https://example.com/api/v1/agents/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","status":"approved"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/agents/example \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "status": "approved" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” node_id
required
string
Agent node ID
Request Body required
Section titled “Request Body required ” Media type application/json
Request body for POST /api/v1/agents/{node_id}.
object
name
Required when status is approved: the immutable, operator-chosen
human-readable name to assign to the agent. Ignored otherwise.
string | null
status
required
The approval action to take.
string
Responses
Section titled “ Responses ”Agent status changed
Invalid request body or missing name
Agent not found